Facturas
Editar una factura
Edita una factura en borrador o rechazada. Puedes cambiar el cliente y el
método de pago; si envías items, reemplaza todos los ítems actuales.
PATCH
/
api
/
v1
/
accounts
/
{account_id}
/
invoices
/
{id}
Editar una factura
curl --request PATCH \
--url https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invoice": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method": "<string>",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
]
}
}
'import requests
url = "https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}"
payload = { "invoice": {
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payment_method": "<string>",
"items": [
{
"product_variant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 123,
"unit_price": 123,
"discount": 123
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
invoice: {
contact_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
payment_method: '<string>',
items: [
{
product_variant_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
product_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quantity: 123,
unit_price: 123,
discount: 123
}
]
}
})
};
fetch('https://dashboard.tellen.app/api/v1/accounts/{account_id}/invoices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sequential": "<string>",
"emission_date": "2023-12-25",
"total": 123,
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"description": "<string>",
"quantity": 123,
"unit_price": 123,
"discount": 123,
"subtotal": 123,
"tax_rate": 123,
"tax_value": 123,
"total": 123
}
],
"contact": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"razon_social": "<string>",
"identificacion": "<string>"
},
"emission_point": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"store_code": "<string>"
},
"payment_method": "<string>",
"total_without_taxes": 123,
"total_discount": 123,
"access_key": "<string>",
"authorization_number": "<string>",
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"errors": [
"<string>"
]
}Authorizations
Token de API enviado como Authorization: Bearer tellen_tk_.... Genera
tu token desde tu cuenta de Tellen. Tu cuenta debe tener el acceso a la
API habilitado.
Path Parameters
Identificador de la cuenta.
Identificador de la factura.
Body
application/json
Envía solo los campos que quieras cambiar.
Show child attributes
Show child attributes
Response
La factura actualizada.
Show child attributes
Show child attributes
⌘I
Editar una factura
